<?php
/*
 WP-DASHBOARD API DOKU
 @link : https://developer.wordpress.org/apis/dashboard-widgets/

*/

namespace theme\functions\theme_setup;

add_action('wp_dashboard_setup', 'theme\functions\theme_setup\remove_dashboard_widgets' );
function remove_dashboard_widgets() {
    global $wp_meta_boxes;

	remove_action( 'welcome_panel', 'wp_welcome_panel' );
   
	// Hinweis, es gibt auch: remove_meta_box() - ist vielleicht besser in Zukunft
    unset( $wp_meta_boxes['dashboard']['normal']['core']['dashboard_incoming_links'] );
    unset( $wp_meta_boxes['dashboard']['normal']['core']['dashboard_right_now'] );
    unset( $wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins'] );
    unset( $wp_meta_boxes['dashboard']['normal']['core']['dashboard_recent_drafts'] );
    unset( $wp_meta_boxes['dashboard']['normal']['core']['dashboard_recent_comments'] );
    unset( $wp_meta_boxes['dashboard']['normal']['core']['dashboard_site_health'] );
    unset( $wp_meta_boxes['dashboard']['normal']['core']['dashboard_activity'] );

    unset( $wp_meta_boxes['dashboard']['side']['core']['dashboard_quick_press'] );
    unset( $wp_meta_boxes['dashboard']['side']['core']['dashboard_primary'] );
    unset( $wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary'] );
   
}
